Bug 479692 - [NetApp 4.8 feat] Include a bundled dynamic SCSI rescan script
[NetApp 4.8 feat] Include a bundled dynamic SCSI rescan script
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sg3_utils (Show other bugs)
4.8
All Linux
high Severity high
: beta
: 4.8
Assigned To: Rob Evers
BaseOS QE
: FutureFeature, OtherQA
Depends On: 467201 476571
Blocks: 450897
  Show dependency treegraph
 
Reported: 2009-01-12 09:49 EST by Martin George
Modified: 2009-06-20 05:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the Red Hat Knowledgebase article documenting Fibre Channel rescan in Red Hat Enterprise Linux 4 was not accurate. This procedure has now been updated, and can be viewed at: http://kbase.redhat.com/faq/docs/DOC-3942
Story Points: ---
Clone Of: 476571
Environment:
Last Closed: 2009-03-27 18:25:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin George 2009-01-12 09:49:54 EST
+++ This bug was initially created as a clone of Bug #476571 +++

+++ This bug was initially created as a clone of Bug #467713 +++

+++ This bug was initially created as a clone of Bug #467201 +++

Feature request:
Dynamic SCSI rescan functionality can be currently implemented by manually echoing values into the SCSI sysfs files. This is an extremely useful feature in enterprise scenarios, as a reload of the underlying driver(which does a SCSI rescan) is not practical as it is disruptive.

It would be ideal if the RHEL kernel provides a bundled SCSI rescan script which performs the following dynamic SCSI rescan functionalities:

1) Detect luns added to the host.

2) Remove luns from the host.

3) Resize existing luns on the host.


Version-Release number of selected component (if applicable):
RHEL 5.3.

--- Additional comment from dhorak@redhat.com on 2008-10-16 07:07:19 EDT ---

Are you looking for something like the rescan-scsi-bus.sh script from http://www.garloff.de/kurt/linux/scsidev/ ?

--- Additional comment from marting@netapp.com on 2008-10-16 07:39:56 EDT ---

Exactly. 

This could be made a part of the sg3_utils package. Are there any plans to include this in future RHEL kernels?

--- Additional comment from dhorak@redhat.com on 2008-10-16 08:39:04 EDT ---

Please submit a request for enhancement via the standard support channel and let them bind the request with this bug.

I can add the script into Fedora on my own, so it will then appear in RHEL 6.

--- Additional comment from andriusb@redhat.com on 2008-10-16 12:53:48 EDT ---

Dan - NetApp is a formal engineering Partner and therefore this bugzilla will serve as the official feature request I'll monitor (being their assigned partner manager).

--- Additional comment from andriusb@redhat.com on 2008-10-20 09:40:43 EDT ---

The RHEL 5.4 bug for this issue can be found at bug 467201.

--- Additional comment from dhorak@redhat.com on 2008-11-03 03:08:10 EDT ---

I have cloned this bug for Fedora Rawhide and made it block this bug. Dependency on the RHEL 5.4 original bug (auto created during cloning) is removed.
Comment 1 Rob Evers 2009-03-25 09:53:53 EDT
Fibre Channel rescan is now documented under the kbase article pointed to by:

    http://kbase.redhat.com/faq/docs/DOC-3942

No further action is anticipated for this bugzilla.
Comment 2 Rob Evers 2009-03-25 10:20:35 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Fibre Channel rescan is now documented under the kbase article pointed to by:

    http://kbase.redhat.com/faq/docs/DOC-3942
Comment 7 Ryan Lerch 2009-04-07 20:07:26 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1 @@
-Fibre Channel rescan is now documented under the kbase article pointed to by:
+Previously, the Red Hat Knowledgebase article documenting Fibre Channel rescan in Red Hat Enterprise Linux 4 was not accurate. This procedure has now been updated, and can be viewed at: http://kbase.redhat.com/faq/docs/DOC-3942-
-    http://kbase.redhat.com/faq/docs/DOC-3942

Note You need to log in before you can comment on or make changes to this bug.